Upgrading CME version

Unanswered Question
Oct 18th, 2007

Gurus, I want to begin the process of upgrading my CME version, as well us firmware for my phones, but am not sure where to begin. I haven't upgraded anything in my system since it was installed over 2 years ago. It was installed by a firm that is no longer in business.

I'm not even sure how to tell what version of CME I'm running now; when I telnet into the 2801 router and do a show run, I do see a "version 12.4" in there, but I know that's not the CME version.

I would like to upgrade to a version of CME that will let me use IP Communicator.

As the company grew we bought 7960's from a couple of different vendors, and some have a different style GUI than others, I'd like to find out why and possibly standardize everything.

I just bought a 7936 conference phone, but it complains of not finding some files, and I know something there needs to be updated as well.

Any advice on where and how to begin with these issues would be greatly appreciated...

-Michael

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4.5 (2 ratings)
Loading.
Paolo Bevilacqua Thu, 10/18/2007 - 15:37

It's actually quite easy.

Start upgrading IOS to 12.4(11)XJ, it CME 4.1 one step below the latest but complete and stable.

Also download FW 8.0.7.zip for the phones. copy all files to router and configure them with "tftp-server file ... alias".

Use a subdirectory if you like to keeps things tidy.

Then configure filename (without .loads) as "load 7460" under telephony service.

Finally if you use the GUI download the files form the "ccme individual files" CCO area and these can go in a subdirectory as well.

hope this helps, please rate post if it does!

malberttoo Thu, 10/18/2007 - 15:47

So is CME part of the router IOS, or do I need to get that seperately somehow?

Dennis Fogler Thu, 10/18/2007 - 15:56

Correct, CME is part of the IOS. When making an IOS choice you just need to make sure that your selection supports CME. The IOS feature finder is a great tool for selecting IOS by router platform.

http://www.cisco.com/cgi-bin/Software/Iosplanner/Planner-tool/iosplanner.cgi

There are some supplementary files for CCME. These files are the Administration GUI that can be used for day to day moves, adds and changes instead of accessing the command line.

The other files are the individual IP Phone Loads. Both the phone loads and the GUI files can be downloaded from CCO under the "download voice software section" All files can be downoaded in a single ZIP file and then copied onto yuor router's flash.

Dennis Fogler Thu, 10/18/2007 - 15:51

Michael,

So let's start with the current version of CCME, if your at the CLI you can type in sh telephony-service, this command will show you what verison on CCME you are running.

IP Communicator v2.1 supports CCME v4.0 & higher. I have attached a link for your convenience.

http://www.cisco.com/en/US/partner/products/sw/voicesw/ps5475/products_data_sheet09186a00801f8e48.html

The current version of CCME is v4.2. When you are ready to upgrade definitely use the IOS feature finder to evaluate and find the correct IOS image for your platform. Once you have that you can download the latest GUI files and phone loads from CCO. You can get all the correlated files for the version of IOS & CCME in one zip file. See the attached link on CCME 4.2 for additional features.

As far as IP Phones the most popular models are currently the 7941/61 ip phone. I imagine you have a mixture of 7960 & 7960G phones which would explain the different sytle GUI or TUI interface as it was slightly different between these two phones.

http://www.cisco.com/en/US/partner/products/sw/voicesw/ps4625/products_data_sheet0900aecd80673208.html

Hope this helps. Please Rate All Helpful Posts!!

Paolo Bevilacqua Thu, 10/18/2007 - 15:55

Michael,

if you can't open the pertinent documents that Dennis has linked for you, remove the 'partner' word in the URL.

Luckily there is some time to edit post to fix URL, I needed that many times :)

And yes, CME features are embedded in IOS.

malberttoo Thu, 10/18/2007 - 15:58

Here's the results of the sh tel-svc...

CONFIG (Version=3.3)

=====================

Version 3.3

Cisco CallManager Express

For on-line documentation please see:

www.cisco.com/univercd/cc/td/doc/product/access/ip_ph/ip_ks/index.htm

ip source-address 10.211.2.1 port 2000

service dnis dir-lookup

load 7910 P00403020214

load 7905 CP7905060000SCCP050124A.sbin

load 7902 CP7902060000SCCP050124A.sbin

load 7936 cmterm_7936.3-3-5-0.bin

load 7970 TERM70.6-0-3SR1S.LOADS

load 7912 CP7912060000SCCP050124A.sbin

load 7914 S00103020002

load 7960-7940 P00303020214

max-ephones 96

max-dn 96

max-conferences 8 gain -6

dspfarm units 0

dspfarm transcode sessions 0

hunt-group report delay 1 hours

max-redirect 5

malberttoo Sat, 10/20/2007 - 08:43

Thanks very much for the helpful info. I had to renew the SmartNet contract on my router to have access to the downloads. I'm waiting now for the contract to become linked to my account.

I'm not all that familiar with how the rating system here works -- both of your inputs was so helpful, is there a way to credit two posters?

-Michael

Actions

This Discussion